# Translations #

There are many translations of the book available in different human
languages, thanks to many tireless volunteers!

If you want to help with these translations, please see the list of
volunteers and languages below and decide if you want to start a new
translation or help in existing translation projects.

If you plan to start a new translation, please read the
[Translation Howto](#translation-howto).

## Arabic ##
 
Below is the link for the Arabic version. Thanks to Ashraf Ali Khalaf
for translating the book, you can read the whole book online
[here](http://www.khaledhosny.org/byte-of-python/index.html) or you
can download it from
[sourceforge.net](http://downloads.sourceforge.net/omlx/byteofpython_arabic.pdf?use_mirror=osdn)
for more info [click here](http://itwadi.com/byteofpython_arabi).

## Brazilian Portuguese ##

There are two translations:

[Samuel Dias Neto](http://www.samueldiasneto.com/aprendendopython/index.html)
(samuel.arataca-at-gmail-dot-com) made the first Brazilian Portuguese
translation of this book when Python was in 2.3.5 version.

Samuel's translation is available at
[aprendendopython](http://www.samueldiasneto.com/aprendendopython/index.html).

[Rodrigo Amaral](http://rodrigoamaral.net)
(rodrigoamaral-at-gmail-dot-com) has volunteered to translate the book
to Brazilian Portuguese.

Rodrigo's translation is available at
[http://www.swaroopch.org/notes/Python_pt-br:Indice](http://www.swaroopch.org/notes/Python_pt-br:Indice).

## Catalan ##

Moises Gomez (moisesgomezgiron-at-gmail-dot-com) has volunteered to
translate the book to Catalan.  The translation is in progress, and
was present in the [erstwhile wiki](http://www.swaroopch.com/notes/).

> Moisès Gómez - I am a developer and also a teacher of programming
> (normally for people without any previous experience).

> Some time ago I needed to learn how to program in Python, and
> Swaroop's work was really helpful. Clear, concise, and complete
> enough. Just what I needed.

> After this experience, I thought some other people in my country
> could take benefit from it too. But English language can be a
> barrier.

> So, why not try to translate it? And I did for a previous version of
> BoP.

> I my country there are two official languages. I selected the
> Catalan language assuming that others will translate it to the more
> widespread Spanish.

## Chinese ##

Translations are available at
<http://woodpecker.org.cn/abyteofpython_cn/chinese/> and
<http://zhgdg.gitcafe.com/static/doc/byte_of_python.html>.

Juan Shen (orion-underscore-val-at-163-dot-com) has volunteered to
translate the book to Chinese.

> I am a postgraduate at Wireless Telecommunication Graduate School,
> Beijing University of Technology, China PR. My current research
> interest is on the synchronization, channel estimation and
> multi-user detection of multicarrier CDMA system. Python is my major
> programming language for daily simulation and research job, with the
> help of Python Numeric, actually. I learned Python just half a year
> before, but as you can see, it's really easy-understanding,
> easy-to-use and productive. Just as what is ensured in Swaroop's
> book, 'It's my favorite programming language now'.

> 'A Byte of Python' is my tutorial to learn Python. It's clear and
> effective to lead you into a world of Python in the shortest time.
> It's not too long, but efficiently covers almost all important
> things in Python. I think 'A Byte of Python' should be strongly
> recommendable for newbies as their first Python tutorial. Just
> dedicate my translation to the potential millions of Python users in
> China.

## Chinese Traditional ##

Fred Lin (gasolin-at-gmail-dot-com) has volunteered to translate the
book to Chinese Traditional.

It is available at [http://code.google.com/p/zhpy/wiki/ByteOfZhpy](http://code.google.com/p/zhpy/wiki/ByteOfZhpy).

An exciting feature of this translation is that it also contains the
*executable chinese python sources* side by side with the original
python sources.

> **Fred Lin** - I'm working as a network firmware engineer at Delta
> Network, and I'm also a contributor of TurboGears web framework.

> As a python evangelist (:-p), I need some material to promote python
> language. I found 'A Byte of Python' hit the sweet point for both
> newbies and experienced programmers. 'A Byte of Python' elaborates
> the python essentials with affordable size.

> The translation are originally based on simplified chinese version,
> and soon a lot of rewrite were made to fit the current wiki version
> and the quality of reading.

> The recent chinese traditional version also featured with executable
> chinese python sources, which are achieved by my new 'zhpy' (python
> in chinese) project (launch from Aug 07).

> zhpy(pronounce (Z.H.?, or zippy) build a layer upon python to
> translate or interact with python in chinese(Traditional or
> Simplified). This project is mainly aimed for education.

## French ##

Gregory (coulix-at-ozforces-dot-com-dot-au) has volunteered to
translate the book to French.

Gérard Labadie (Palmipede) has completed to translate the book to
French, it starts with
[http://www.swaroopch.org/notes/Python_fr:Table_des_Mati%C3%A8res](http://www.swaroopch.org/notes/Python_fr:Table_des_Mati%C3%A8res).

## German ##

Lutz Horn (lutz-dot-horn-at-gmx-dot-de), Bernd Hengelein
(bernd-dot-hengelein-at-gmail-dot-com) and Christoph Zwerschke
(cito-at-online-dot-de) have volunteered to translate the book to
German.

Their translation is located at
[http://abop-german.berlios.de](http://abop-german.berlios.de).

*Lutz Horn* says:

> I'm 32 years old and have a degree of Mathematics from University of
> Heidelberg, Germany. Currently I'm working as a software engineer on
> a publicly funded project to build a web portal for all things
> related to computer science in Germany.The main language I use as a
> professional is Java, but I try to do as much as possible with
> Python behind the scenes. Especially text analysis and conversion is
> very easy with Python. I'm not very familiar with GUI toolkits,
> since most of my programming is about web applications, where the
> user interface is build using Java frameworks like Struts. Currently
> I try to make more use of the functional programming features of
> Python and of generators.  After taking a short look into Ruby, I
> was very impressed with the use of blocks in this
> language. Generally I like the dynamic nature of languages like
> Python and Ruby since it allows me to do things not possible in more
> static languages like Java.I've searched for some kind of
> introduction to programming, suitable to teach a complete
> non-programmer. I've found the book 'How to Think Like a Computer
> Scientist: Learning with Python', and 'Dive into Python'. The first
> is good for beginners but to long to translate. The second is not
> suitable for beginners. I think 'A Byte of Python' falls nicely
> between these, since it is not too long, written to the point, and
> at the same time verbose enough to teach a newbie. Besides this, I
> like the simple DocBook structure, which makes translating the text
> a generation the output in various formats a charm.

*Bernd Hengelein* says:

> Lutz and me are going to do the german translation together. We just
> started with the intro and preface but we will keep you informed
> about the progress we make. Ok, now some personal things about me. I
> am 34 years old and playing with computers since the 1980's, when
> the "Commodore C64" ruled the nurseries. After studying computer
> science I started working as a software engineer. Currently I am
> working in the field of medical imaging for a major german
> company. Although C++ is the main language I (have to) use for my
> daily work, I am constantly looking for new things to learn.Last
> year I fell in love with Python, which is a wonderful language, both
> for its possibilities and its beauty. I read somewhere in the net
> about a guy who said that he likes python, because the code looks so
> beautiful. In my opinion he's absolutly right. At the time I decided
> to learn python, I noticed that there is very little good
> documentation in german available. When I came across your book the
> spontaneous idea of a german translation crossed my mind. Luckily,
> Lutz had the same idea and we can now divide the work.I am looking
> forward to a good cooperation!

## Greek ##

The Greek Ubuntu Community
[translated the book in Greek](http://wiki.ubuntu-gr.org/byte-of-python-el),
for use in our on-line asynchronous Python lessons that take place in
our forums. Contact
[@savvasradevic](https://twitter.com/savvasradevic) for more
information.

## Indonesian ##

Daniel (daniel-dot-mirror-at-gmail-dot-com) is translating the book to
Indonesian at
[http://python.or.id/moin.cgi/ByteofPython](http://python.or.id/moin.cgi/ByteofPython).

W. Priyambodo also has volunteered to translate the book to
Indonesian. The translation is in progress and here is the
[http://www.swaroopch.org/notes/Python_id:Daftar_Isi](http://www.swaroopch.org/notes/Python_id:Daftar_Isi).

## Italian ##

Enrico Morelli (mr-dot-mlucci-at-gmail-dot-com) and Massimo Lucci
(morelli-at-cerm-dot-unifi-dot-it) have volunteered to translate the
book to Italian.

The Italian translation is present at
[www.gentoo.it/Programmazione/byteofpython](http://www.gentoo.it/Programmazione/byteofpython). The
new translation is in progress and start with
[http://www.swaroopch.org/notes/Python_it:Prefazione](http://www.swaroopch.org/notes/Python_it:Prefazione).

> **Massimo Lucci and Enrico Morelli** - we are working at the
> University of Florence (Italy) - Chemistry Department. I (Massimo)
> as service engineer and system administrator for Nuclear Magnetic
> Resonance Spectrometers; Enrico as service engineer and system
> administrator for our CED and parallel / clustered systems. We are
> programming on python since about seven years, we had experience
> working with Linux platforms since ten years. In Italy we are
> responsible and administrator for www.gentoo.it web site for
> Gentoo/Linux distrubution and www.nmr.it (now under construction)
> for Nuclear Magnetic Resonance applications and Congress
> Organization and Managements.That's all! We are impressed by the
> smart language used on your Book and we think this is essential for
> approaching the Python to new users (we are thinking about hundred
> of students and researcher working on our labs).

## Japanese ##

Here's a Japanese version at
[http://www.swaroopch.org/notes/Python_ja:Table_of_Contents](http://www.swaroopch.org/notes/Python_ja:Table_of_Contents).

Shunro Dozono (dozono-at-gmail-dot-com) is translating the book to
Japanese.

## Mongolian ##

Ariunsanaa Tunjin (luftballons2010-at-gmail-dot-com) has volunteered
to translate the book to Mongolian.

_Update on Nov 22, 2009_ : Ariunsanaa is on the verge of completing
the translation.

## Norwegian (bokmål) ##

Eirik Vågeskar
([http://www.swaroopch.org/notes/User:Vages](http://www.swaroopch.org/notes/User:Vages))
is a high school student at
[Sandvika videregående skole](http://no.wikipedia.org/wiki/Sandvika_videreg%C3%A5ende_skole)
in Norway, a [blogger](http://forbedre.blogspot.com/) and currently
translating the book to Norwegian (bokmål). The translation is in
progress, and you can check the
[http://www.swaroopch.org/notes/Python_nb-no:Innholdsfortegnelse](http://www.swaroopch.org/notes/Python_nb-no:Innholdsfortegnelse)
for more details.

> _Eirik Vågeskar_: I have always wanted to program, but because I
> speak a small language, the learning process was much harder. Most
> tutorials and books are written in very technical English, so most
> high school graduates will not even have the vocabulary to
> understand what the tutorial is about. When I discovered this book,
> all my problems were solved. "A Byte of Python" used simple
> non-technical language to explain a programming language that is
> just as simple, and these two things make learning Python fun. After
> reading half of the book, I decided that the book was worth
> translating. I hope the translation will help people who have found
> themself in the same situation as me (especially young people), and
> maybe help spread interest for the language among people with less
> technical knowledge.

## Polish ##

Dominik Kozaczko (dkozaczko-at-gmail-dot-com) has volunteered to
translate the book to Polish. Translation is in progress and it's main
page is available here:
[Ukąś Pythona](http://wiki.lo5.bielsko.pl/index.php/Uk%C4%85%C5%9B_Pythona).

*Update* : The translation is complete and ready as of Oct
 2, 2009. Thanks to Dominik, his two students and their friend for
 their time and effort!

> *Dominik Kozaczko* - I'm a Computer Science and Information
> Technology teacher.

## Portuguese ##

Fidel Viegas (fidel-dot-viegas-at-gmail-dot-com) has volunteered to
translate the book to Portuguese.

## Romanian ##

Paul-Sebastian Manole (brokenthorn-at-gmail-dot-com) has volunteered
to translate this book to Romanian.

> *Paul-Sebastian Manole* - I'm a second year Computer Science student
> at Spiru Haret University, here in Romania. I'm more of a
> self-taught programmer and decided to learn a new language,
> Python. The web told me there was no better way to do so but read
> ''A Byte of Python''. That's how popular this book is
> (congratulations to the author for writing such an easy to read
> book). I started liking Python so I decided to help translate the
> latest version of Swaroop's book in Romanian. Although I could be
> the one with the first initiative, I'm just one volunteer so if you
> can help, please join me.

The translation was being done at
[http://www.swaroopch.org/notes/Python_ro](http://www.swaroopch.org/notes/Python_ro).

## Russian ##

Vladimir Smolyar (v_2e-at-ukr-dot-net) has completed a Russian
translation at <http://wombat.org.ua/AByteOfPython/>.

## Ukranian ##

Averkiev Andrey (averkiyev-at-ukr-dot-net) has volunteered to
translate the book to Russian, and perhaps Ukranian (time permitting).

## Serbian ##

"BugSpice" (amortizerka-at-gmail-dot-com) has completed a Serbian
translation:

> You can download it from
> <http://www.sendspace.com/filegroup/DlNY1mF7DFqNt4e61LvVug> (Latin
> and Cyrillic serbian (and similar languages) version.

More details at <http://forum.ubuntu-rs.org/Thread-zagrljaj-pitona>.

## Slovak ##

Albertio Ward (albertioward-at-gmail-dot-com) has translated the book
to Slovak at
[fatcow.com/edu/python-swaroopch-sl/](http://www.fatcow.com/edu/python-swaroopch-sl/)
:

> We are a non-profit organization called "Translation for
> education". We represent a group of people, mainly students and
> professors, of the Slavonic University. Here are students from
> different departments: linguistics, chemistry, biology, etc. We try
> to find interesting publications on the Internet that can be
> relevant for us and our university colleagues. Sometimes we find
> articles by ourselves; other times our professors help us choose the
> material for translation. After obtaining permission from authors we
> translate articles and post them in our blog which is available and
> accessible to our colleagues and friends. These translated
> publications often help students in their daily study routine.

## Spanish ##

Alfonso de la Guarda Reyes (alfonsodg-at-ictechperu-dot-net), Gustavo
Echeverria (gustavo-dot-echeverria-at-gmail-dot-com), David Crespo
Arroyo (davidcrespoarroyo-at-hotmail-dot-com) and Cristian Bermudez
Serna (crisbermud-at-hotmail-dot-com) have volunteered to translate
the book to Spanish. The translation is in progress, you can read the
spanish (argentinian) translation starting by the
[http://www.swaroopch.org/notes/Python_es-ar:Tabla_de_Contenidos](http://www.swaroopch.org/notes/Python_es-ar:Tabla_de_Contenidos).

*Gustavo Echeverria* says:

> I work as a software engineer in Argentina. I use mostly C# and .Net
> technologies at work but strictly Python or Ruby in my personal
> projects. I knew Python many years ago and I got stuck
> inmediately. Not so long after knowing Python I discovered this book
> and it helped me to learn the language. Then I volunteered to
> translate the book to Spanish. Now, after receiving some requests,
> I've begun to translate "A Byte of Python" with the help of
> Maximiliano Soler.

*Cristian Bermudez Serna* says:

> I am student of Telecommunications engineering at the University of
> Antioquia (Colombia). Months ago, i started to learn Python and
> found this wonderful book, so i volunteered to get the Spanish
> translation.  </blockquote>

## Swedish ##

Mikael Jacobsson (leochingkwake-at-gmail-dot-com) has volunteered to
translate the book to Swedish.

## Turkish ##

Türker SEZER (tsezer-at-btturk-dot-net) and Bugra Cakir
(bugracakir-at-gmail-dot-com) have volunteered to translate the book
to Turkish. Where is Turkish version? Bitse de okusak.

*Note* : Replace `-at-` with `@` , `-dot-` with `.` and `-underscore-`
 with `_` in the email addresses mentioned on this page. Dashes in
 other places in the email address remain as-is.
